Package org.eclipse.mat.query.registry

# Class QueryResult

java.lang.Object
org.eclipse.mat.query.registry.QueryResult

public class QueryResult extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryResult(QueryDescriptor query, String command, IResult subject)`
`QueryResult(QueryResult parent, QueryDescriptor query, String command, IResult subject)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommand()`
`ContextProvider`
`getDefaultContextProvider()`
`QueryResult`
`getParent()`
`QueryDescriptor`
`getQuery()`
`ResultMetaData`
`getResultMetaData()`
`IResult`
`getSubject()`
`String`
`getTitle()`
`String`
`getTitleToolTip()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryResult

public QueryResult(QueryDescriptor query, String command, IResult subject)

### QueryResult

public QueryResult(QueryResult parent, QueryDescriptor query, String command, IResult subject)

## Method Details

### getParent

public QueryResult getParent()

### getCommand

public String getCommand()

### getQuery

public QueryDescriptor getQuery()

### getSubject

public IResult getSubject()

### getResultMetaData

public ResultMetaData getResultMetaData()

### getTitle

public String getTitle()

### getTitleToolTip

public String getTitleToolTip()

### getDefaultContextProvider

public ContextProvider getDefaultContextProvider()